@echo off
rem Programmierung des SVT175-Modells von Lutz Auerswald
rem Hier Pfad einstellen!
set avr="c:\Program Files (x86)\Arduino\hardware\tools\avr"
set pgmr=%avr%\bin\avrdude.exe -C %avr%\etc\avrdude.conf -p atmega328p -c pony-stk200 -P lpt1

if "%1"=="" goto usage
if "%1"=="fuse" goto fuse
if "%1"=="erase" goto erase
if "%1"=="read" goto read
if "%1"=="write" goto write

%pgmr% -U flash:w:%1 -U lfuse:w:0xFF:m
goto exi

:fuse
rem Die Low-Fuse muss (offenbar) auf Quarzoszillator und ohne Taktteiler stehen (vmtl. wie beim Arduino Caterina-Urlader)
%pgmr% -U lfuse:w:0xFF:m -E noreset
goto exi

:erase
%pgmr% -U lfuse:w:0xFF:m -e
goto exi

:read
echo Lese alles
mkdir %2
%pgmr% -U flash:r:%2\flash:r -U eeprom:r:%2\eeprom:r -U lfuse:r:%2\lfuse:r -U hfuse:r:%2\hfuse:r -U efuse:r:%2\efuse:r -U lock:r:%2\lock:r
goto exi

:write
echo Lösche Chip und schreibe alles (außer Lockbits)
%pgmr% -e -U flash:w:%2\flash:r -U eeprom:w:%2\eeprom:r -U lfuse:w:%2\lfuse:r -U hfuse:w:%2\hfuse:r -U efuse:w:%2\efuse:r
goto exi

:usage
echo Programmieren einer Datei (1. und einziges Argument) in eine ATmega328 (bspw. Arduino Uno)
echo prog read Verzeichnis = Lesen ATmega328
echo prog write Verzeichnis = Schreiben ATmega328
:exi